test: _TARGET_DEVICE_NOTIFY_ENTRY struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _TARGET_DEVICE_NOTIFY_ENTRY Struct Reference

`#include <pnpiop.h>`

List of all members.

## Public Attributes

LIST_ENTRY | ListEntry
IO_NOTIFICATION_EVENT_CATEGORY | EventCategory
PDRIVER_NOTIFICATION_CALLBACK_ROUTINE | Callback
PVOID | Context
PDRIVER_OBJECT | DriverObject
USHORT | RefCount
BOOLEAN | Unregistered
PFAST_MUTEX | Lock
PFILE_OBJECT | FileObject
PDEVICE_OBJECT | PhysicalDeviceObject

## Member Data Documentation

PDRIVER_NOTIFICATION_CALLBACK_ROUTINE _TARGET_DEVICE_NOTIFY_ENTRY::Callback

| Definition at line 2266 of file pnpiop.h. Referenced by IoRegisterPlugPlayNotification().

PVOID _TARGET_DEVICE_NOTIFY_ENTRY::Context

| Definition at line 2267 of file pnpiop.h. Referenced by IoRegisterPlugPlayNotification().

PDRIVER_OBJECT _TARGET_DEVICE_NOTIFY_ENTRY::DriverObject

| Definition at line 2268 of file pnpiop.h. Referenced by IoRegisterPlugPlayNotification().

IO_NOTIFICATION_EVENT_CATEGORY _TARGET_DEVICE_NOTIFY_ENTRY::EventCategory

| Definition at line 2265 of file pnpiop.h. Referenced by IopOrphanNotification(), and IoRegisterPlugPlayNotification().

PFILE_OBJECT _TARGET_DEVICE_NOTIFY_ENTRY::FileObject

| Definition at line 2277 of file pnpiop.h. Referenced by IoRegisterPlugPlayNotification().

LIST_ENTRY _TARGET_DEVICE_NOTIFY_ENTRY::ListEntry

| Definition at line 2264 of file pnpiop.h.

PFAST_MUTEX _TARGET_DEVICE_NOTIFY_ENTRY::Lock

| Definition at line 2271 of file pnpiop.h. Referenced by IoRegisterPlugPlayNotification().

PDEVICE_OBJECT _TARGET_DEVICE_NOTIFY_ENTRY::PhysicalDeviceObject

| Definition at line 2285 of file pnpiop.h. Referenced by IopDereferenceNotify(), IopOrphanNotification(), and IoRegisterPlugPlayNotification().

USHORT _TARGET_DEVICE_NOTIFY_ENTRY::RefCount

| Definition at line 2269 of file pnpiop.h. Referenced by IoRegisterPlugPlayNotification().

BOOLEAN _TARGET_DEVICE_NOTIFY_ENTRY::Unregistered

| Definition at line 2270 of file pnpiop.h. Referenced by IopNotifyTargetDeviceChange(), and IoRegisterPlugPlayNotification().

The documentation for this struct was generated from the following file:

- pnpiop.h